Public Member Functions | Public Attributes | List of all members
QuattroGraphInternal::Textbox Struct Referencefinal

Internal: a shape of a QuattroGraph. More...

Inheritance diagram for QuattroGraphInternal::Textbox:

## Public Member Functions
| Textbox ()
| constructor More...
| ~Textbox () final
| destructor More...
bool | isTextbox () const final
| returns true More...
Public Member Functions inherited from QuattroGraphInternal::ShapeHeader
| ShapeHeader ()
| constructor More...
virtual | ~ShapeHeader ()
| destructor More...

## Public Attributes
WPSEntry | m_entry
| the text entry More...
WPSFont | m_font
| the font More...
WPSParagraph | m_paragraph
| the paragraph style More...
Public Attributes inherited from QuattroGraphInternal::ShapeHeader
int | m_type
| the type More...
WPSBox2i | m_box
| the bdbox More...
int | m_id
| an id? More...
WPSGraphicStyle | m_style
| the graphic style More...
int | m_values [5]
| optional values More...
int | m_flags [14]
| some flags More...
int | m_values2 [4]
| style values More...
std::string | m_extra
| error message More...

## Detailed Description

Internal: a shape of a QuattroGraph.

## Constructor & Destructor Documentation

## ◆ Textbox()

QuattroGraphInternal::Textbox::Textbox | ( |  | ) |
| inline

constructor

## ◆ ~Textbox()

QuattroGraphInternal::Textbox::~Textbox | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isTextbox()

bool QuattroGraphInternal::Textbox::isTextbox | ( |  | ) | const
| inline final virtual

returns true

Reimplemented from QuattroGraphInternal::ShapeHeader.

## Member Data Documentation

## ◆ m_entry

WPSEntry QuattroGraphInternal::Textbox::m_entry

the text entry

Referenced by QuattroGraph::send().

## ◆ m_font

WPSFont QuattroGraphInternal::Textbox::m_font

the font

Referenced by QuattroGraph::send().

## ◆ m_paragraph

WPSParagraph QuattroGraphInternal::Textbox::m_paragraph

the paragraph style

Referenced by QuattroGraph::send().

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp